/*
 * AtomDataValidator.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef ATOMDATAVALIDATOR_HPP_
#define ATOMDATAVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/Validator.hpp"

/** This validators checks whether the string is a valid TremoloParser's ATOMDATA
 * line.
 */
class AtomDataValidator : public Validator<std::string>
{
  bool isValid(const std::string & _value) const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
};


#endif /* ATOMDATAVALIDATOR_HPP_ */
